
include('shared.lua')

SWEP.PrintName			= "#GMOD_Camera"			
SWEP.Slot				= 5
SWEP.SlotPos			= 1
SWEP.DrawAmmo			= false
SWEP.DrawCrosshair		= false
SWEP.Spawnable			= false
SWEP.AdminSpawnable		= false
SWEP.WepSelectIcon		= surface.GetTextureID( "vgui/gmod_camera" )

// Don't draw the weapon info on the weapon selection thing
function SWEP:DrawHUD() end
function SWEP:PrintWeaponInfo( x, y, alpha ) end


function SWEP:HUDShouldDraw( name )

	// So we can change weapons
	if (name == "CHudWeaponSelection") then return true end
	
	return false;
	
end

/*---------------------------------------------------------
   Name: SWEP:FreezeMovement()
---------------------------------------------------------*/
function SWEP:FreezeMovement()

	// Don't aim if we're holding the right mouse button
	if (self.Owner:KeyDown( IN_ATTACK2 )) then return true end
	return false
	
end

/*---------------------------------------------------------
   Name: TranslateFOV
---------------------------------------------------------*/
function SWEP:TranslateFOV( current_fov )
	
	// CameraZoom is manipulated in shared.lua
	return self.CameraZoom

end

function SWEP:ForceFOV( fov )

	self.CameraZoom = tonumber( fov )

end